com.amazonaws.services.simpleworkflow.model

## Class RespondDecisionTaskCompletedRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.RespondDecisionTaskCompletedRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RespondDecisionTaskCompletedRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RespondDecisionTaskCompletedRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RespondDecisionTaskCompletedRequest` `clone()`
`boolean` `equals(Object obj)`
`List<Decision>` `getDecisions()` The list of decisions (possibly empty) made by the decider while processing this decision task.
`String` `getExecutionContext()` User defined context to add to workflow execution.
`String` `getTaskToken()` The `taskToken` from the DecisionTask.
`int` `hashCode()`
`void` `setDecisions(Collection<Decision> decisions)` The list of decisions (possibly empty) made by the decider while processing this decision task.
`void` `setExecutionContext(String executionContext)` User defined context to add to workflow execution.
`void` `setTaskToken(String taskToken)` The `taskToken` from the DecisionTask.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RespondDecisionTaskCompletedRequest` `withDecisions(Collection<Decision> decisions)` The list of decisions (possibly empty) made by the decider while processing this decision task.
`RespondDecisionTaskCompletedRequest` `withDecisions(Decision... decisions)` The list of decisions (possibly empty) made by the decider while processing this decision task.
`RespondDecisionTaskCompletedRequest` `withExecutionContext(String executionContext)` User defined context to add to workflow execution.
`RespondDecisionTaskCompletedRequest` `withTaskToken(String taskToken)` The `taskToken` from the DecisionTask.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RespondDecisionTaskCompletedRequest

    public RespondDecisionTaskCompletedRequest()

### Method Detail

#### setTaskToken

    public void setTaskToken(String taskToken)

The `taskToken` from the DecisionTask.

<important>`taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.</important>

Parameters:
  `taskToken` - The `taskToken` from the DecisionTask. <important>`taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.

#### getTaskToken

    public String getTaskToken()

The `taskToken` from the DecisionTask.

<important>`taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.</important>

Returns:
  The `taskToken` from the DecisionTask. <important>`taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.

#### withTaskToken

    public RespondDecisionTaskCompletedRequest withTaskToken(String taskToken)

The `taskToken` from the DecisionTask.

<important>`taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.</important>

Parameters:
  `taskToken` - The `taskToken` from the DecisionTask. <important>`taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getDecisions

    public List<Decision> getDecisions()

The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.

Returns:
  The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.

#### setDecisions

    public void setDecisions(Collection<Decision> decisions)

The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.

Parameters:
  `decisions` - The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.

#### withDecisions

    public RespondDecisionTaskCompletedRequest withDecisions(Decision... decisions)

The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.

NOTE: This method appends the values to the existing list (if any). Use `setDecisions(java.util.Collection)` or `withDecisions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `decisions` - The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDecisions

    public RespondDecisionTaskCompletedRequest withDecisions(Collection<Decision> decisions)

The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.

Parameters:
  `decisions` - The list of decisions (possibly empty) made by the decider while processing this decision task. See the docs for the decision structure for details.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionContext

    public void setExecutionContext(String executionContext)

User defined context to add to workflow execution.

Parameters:
  `executionContext` - User defined context to add to workflow execution.

#### getExecutionContext

    public String getExecutionContext()

User defined context to add to workflow execution.

Returns:
  User defined context to add to workflow execution.

#### withExecutionContext

    public RespondDecisionTaskCompletedRequest withExecutionContext(String executionContext)

User defined context to add to workflow execution.

Parameters:
  `executionContext` - User defined context to add to workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RespondDecisionTaskCompletedRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`